Package com.databricks.jdbc.model.telemetry.enums

## Enum ExecutionResultFormat

- java.lang.Object
- - java.lang.Enum<ExecutionResultFormat>
  - - com.databricks.jdbc.model.telemetry.enums.ExecutionResultFormat

All Implemented Interfaces:
  `Serializable`, `Comparable<ExecutionResultFormat>`

    public enum ExecutionResultFormat
    extends Enum<ExecutionResultFormat>

### Enum Constant Summary

Enum Constants
`COLUMNAR_INLINE`
`EXTERNAL_LINKS`
`FORMAT_UNSPECIFIED`
`INLINE_ARROW`
`INLINE_JSON`

### Method Summary

All Methods Static Methods Concrete Methods
`static ExecutionResultFormat` `valueOf​(String name)` Returns the enum constant of this type with the specified name.
`static ExecutionResultFormat[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### FORMAT_UNSPECIFIED

    public static final ExecutionResultFormat FORMAT_UNSPECIFIED

#### INLINE_ARROW

    public static final ExecutionResultFormat INLINE_ARROW

#### INLINE_JSON

    public static final ExecutionResultFormat INLINE_JSON

#### EXTERNAL_LINKS

    public static final ExecutionResultFormat EXTERNAL_LINKS

#### COLUMNAR_INLINE

    public static final ExecutionResultFormat COLUMNAR_INLINE

### Method Detail

#### values

    public static ExecutionResultFormat[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (ExecutionResultFormat c : ExecutionResultFormat.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static ExecutionResultFormat valueOf​(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null